[pacman-dev] [PATCH] Make sure dot files don't get included in package

Sebastian Nowicki sebnow at gmail.com
Sat May 31 05:19:06 EDT 2008


On BSD systems, as a super user, `ls` displays all dot files by default.
On most BSD systems -I can be used to suppress this behavior, but this
argument is not available on Mac OSX. Instead, grep is used to filter out
all dot files.

Signed-off-by: Sebastian Nowicki <sebnow at gmail.com>
---
 scripts/makepkg.sh.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index cb55dea..f4acd50 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -849,7 +849,7 @@ create_package() {
 
 	local pkg_file="$PKGDEST/${pkgname}-${pkgver}-${pkgrel}-${CARCH}${PKGEXT}"
 
-	if ! bsdtar -czf "$pkg_file" $comp_files $(ls); then
+	if ! bsdtar -czf "$pkg_file" $comp_files $(ls | grep -v '^\.'); then
 		error "$(gettext "Failed to create package file.")"
 		exit 1 # TODO: error code
 	fi
-- 
1.5.5.1





More information about the pacman-dev mailing list